Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations SDETERS on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

NXOpen Find Feature in by Name

Status
Not open for further replies.

EngProgrammer

Aerospace
Jan 14, 2015
150
Dear Forum,

Is there an easy way to find a feature by name.

I found this in the solution center for finding a line:

Public Function getLineByFeatureName(ByVal theName As String) As Line
Dim aTag As Tag = Tag.Null
Do
theUFSession.Obj.CycleByNameAndType(workPart.Tag, theName,
UFConstants.UF_feature_type, False, aTag)
If aTag.Equals(Tag.Null) Then Exit Do

Dim lineFeature As Features.Feature =
CType(Utilities.NXObjectManager.Get(aTag), Features.Feature)
Return lineFeature.GetEntities()(0)
Loop While True

Return Nothing
End Function
 
Replies continue below

Recommended for you

An easier way (IMO) would be to iterate through the features collection querying the name property of each. When you find the feature with the desired name, save it and stop looking.

Code:
for each temp as features.feature in workpart.Features
  if temp.name = "magic value" then
    myFeature = temp
    exit for
  end if
next

www.nxjournaling.com
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor